Name:	cfme-vnc-plugin
Version:	1.0.0
Release:	2%{?dist}
Summary:	CloudForms Management Engine Browser VNC Plugin

Group:		Applications/Internet
License:	MIT
URL:		  https://github.com/ManageIQ/cfme_browser_plugins

# git clone  git@github.com:ManageIQ/cfme_browser_plugins.git
# cd cfme_browser_plugins
# git checkout 5c7dc5a1c 
# git submodule update --recursive --init
# cd ..
# tar czvf cfme_browser_plugins.tgz cfme_browser_plugins
Source0:	cfme_browser_plugins.tgz

# https://github.com/firebreath/FireBreath/tarball/firebreath-1.7
#Source1:	firebreath-1.7.tgz

BuildRequires: cmake	
Requires:	firefox

%description
The CFME Browser Plugin gives the end user direct access to their CFME
VMs straight from their web browser.

%prep
%setup -q -n cfme_browser_plugins
#tar xzvf %{SOURCE1}

%build
./firebreath-1.6/prepmake.sh projects build
cd build
make %{?_smp_mflags}

%install
mkdir -p %{buildroot}/%{_libdir}/firefox/plugins
mv build/bin/ManageIQVNCPlugin/npManageIQVNCPlugin.so \
   %{buildroot}/%{_libdir}/firefox/plugins/

%files
%{_libdir}/firefox/plugins/npManageIQVNCPlugin.so

%changelog
* Mon Jul 22 2013 Mo Morsi <mmorsi@redhat.com> - 1.0.0-2
- renamed to cfme-vnc-plugin from cfme_browser_plugin

* Mon Jul 22 2013 Mo Morsi <mmorsi@redhat.com> - 1.0.0-1
- Initial version
